# $FreeBSD$

freebsd_instance:
  image: freebsd-12-3-release-amd64
  cpu: 8
  memory: 8G

env:
  CIRRUS_CLONE_DEPTH: 1

task:
  timeout_in: 90m
  matrix:
  - name: World and kernel amd64 build test
    env:
      TARGET: amd64
      TARGET_ARCH: amd64
  - name: World and kernel arm64 build test
    trigger_type: manual
    env:
      TARGET: arm64
      TARGET_ARCH: aarch64
  install_script:
  - pkg install -y qemu
  script:
  - make -j$(sysctl -n hw.ncpu) WITHOUT_TOOLCHAIN=yes buildworld buildkernel
# FAT root fs fails on stable/12:
# Mounting from msdosfs:/dev/ada0s1 failed with error 19.
#
#  test_script:
#  - sh tools/boot/ci-qemu-test.sh
